Loading...
Searching...
No Matches
BpGraph::EdgeIt Class Reference

## Detailed Description

This iterator goes through each edge of the graph. Its usage is quite simple, for example, you can count the number of edges in a graph `g` of type `BpGraph` as follows:

int count=0;
for(BpGraph::EdgeIt e(g); e!=INVALID; ++e) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32
lemon::concepts::BpGraph::EdgeIt
Iterator class for the edges.
Definition bpgraph.h:364

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::EdgeIt:
[legend]

## Public Member Functions

| EdgeIt ()
| Default constructor.
| EdgeIt (const EdgeIt &e)
| Copy constructor.
| EdgeIt (Invalid)
| Invalid constructor & conversion.
| EdgeIt (const BpGraph &)
| Sets the iterator to the first edge.
| EdgeIt (const BpGraph &, const Edge &)
| Sets the iterator to the given edge.
EdgeIt & | operator++ ()
| Next edge.
Public Member Functions inherited from BpGraph::Edge
| Edge ()
| Default constructor.
| Edge (const Edge &)
| Copy constructor.
| Edge (Invalid)
| Invalid constructor & conversion.
bool | operator== (Edge) const
| Equality operator.
bool | operator!= (Edge) const
| Inequality operator.
bool | operator< (Edge) const
| Artificial ordering operator.

## Constructor & Destructor Documentation

## EdgeIt() [1/5]

EdgeIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## EdgeIt() [2/5]

EdgeIt | ( | const EdgeIt & | e | ) |

inline

Copy constructor.

## EdgeIt() [3/5]

EdgeIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## EdgeIt() [4/5]

EdgeIt | ( | const BpGraph & |  | ) |

inline explicit

Sets the iterator to the first edge of the given graph.

## EdgeIt() [5/5]

EdgeIt | ( | const BpGraph & | ,
|  | const Edge & | )

inline

Sets the iterator to the given edge of the given graph.

## Member Function Documentation

## operator++()

EdgeIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next edge.